Name:           unclutter
Version:        8
Release:        3%{?dist}
Summary:        Hide mouse cursor when idle

Group:          User Interface/X
License:        Public Domain
URL:            ftp://export.lcs.mit.edu/contrib/utilities/unclutter-%{version}.README
Source0:        ftp://export.lcs.mit.edu/contrib/utilities/unclutter-%{version}.tar.Z
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for xmkmf
BuildRequires:  imake
# for Xlib.h and Xutil.h
BuildRequires:  libX11-devel
# for Xos.h and Xproto.h
BuildRequires:  xorg-x11-proto-devel
# for -lXext
BuildRequires: libXext-devel

%description
Unclutter hides the mouse cursor image from the screen so that it does not
obstruct the area you are looking at. It hides the mouse cursor when it is not
moved for a specified amount of time or no buttons are pressed on the mouse.
Cursor image will be restored once the mouse is moved again.  


%prep
%setup -q -n unclutter


%build
xmkmf
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CDEBUGFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT INSTMANFLAGS="-p -m0644"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/unclutter
%{_mandir}/man1/unclutter.1*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Till Maas <opensource@till.name> - 8-2
- Update description to the one provided by Lucian Langa

* Thu Apr 02 2009 Till Maas <opensource@till.name> - 8-1
- initial spec for Fedora
